<?php
// $Id: index.php,v 1.12 2003/03/17 05:40:40 okazu Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
include_once '../../mainfile.php';
include_once XOOPS_ROOT_PATH.'/header.php';
include_once XOOPS_ROOT_PATH.'/modules/shoppingcart/class/class.shoppingcart.php';
include_once XOOPS_ROOT_PATH . '/modules/shoppingcart/language/' . $xoopsConfig['language'] . '/currency.php';
include_once XOOPS_ROOT_PATH . '/modules/shoppingcart/language/' . $xoopsConfig['language'] . '/main.php';
include_once XOOPS_ROOT_PATH . '/modules/shoppingcart/language/' . $xoopsConfig['language'] . '/admin.php';

function  culcCart($cartlist,$collectpayflg,$collectpay,$carriagepay,$taxstat){

	$total = 0;
	foreach($cartlist as $k=>$v){
		$p = $cartlist[$k]['price'];
		$ltotal= $cartlist[$k]['units'] * $p;
		$total += $ltotal;
		$cartlist[$k]['ltotal']= cnvCurrency($ltotal);
		$cartlist[$k]['price'] = cnvCurrency($cartlist[$k]['price'] );
	}
		
	if($taxstat == 1){
		$tax = $total * _MI_TAX;
		$tax = (int)$tax;
		$total += $tax;
		$ar = array();
		$ar['title'] = _MI_TAXTITLE;
		$ar['ltotal'] = cnvCurrency($tax);
		$cartlist[] = $ar;
	}

	if($collectpayflg == 1){
		$total += $collectpay;
		$ar = array();
		$ar['title'] = _MI_COLLECTPAY;
		$ar['ltotal'] = cnvCurrency($collectpay);
		$cartlist[] = $ar;
	}

	$ar = array();
	$ar['title'] = _MI_CARRIAGEPAY;
	$ar['ltotal'] = cnvCurrency($carriagepay);
	$total += $carriagepay;
	$cartlist[] = $ar;
	return(array('clist'=>$cartlist,'total'=>$total));
}

if(isset($HTTP_GET_VARS['storynum'])){
	$storynum = intval($HTTP_GET_VARS['storynum']);
}

if (isset($HTTP_POST_VARS)) {
	foreach ($HTTP_POST_VARS as $k => $v) {
		${$k} = $v;
	}
}
$selfurl = getenv('SCRIPT_NAME');
$xoopsTpl->assign('selfurl', $selfurl);
if(!isset($page)){
	$page =1;
}

if(isset($op_return)){
	$op = 'return';
	unset($op_return);
}	
if(isset($op_check)){
	if(strlen($name) > 0 && strlen($tel) > 0 && strlen($zip) > 0 && strlen($address) > 0){
		$op = 'check';
	}
	else{
		$xoopsTpl->assign('msg',_NW_NOINPUT);
		$op = 'list';
	}
	unset($op_check);
}
if(isset($op_send)){
	$op = 'send';
	unset($op_send);
}
if(isset($op_update)){
	$op = 'update';
	unset($op_update);
}
if(!isset($sc)){
	$sc = new ShoppingCart();
	foreach($cartid_array as $cid){
		$sc->setUnits($cid,${"units$cid"});
	}	
}
$orgurl = XOOPS_URL . '/modules/shoppingcart/index.php';
$taxstat = intval($xoopsModuleConfig['taxstat']);
$carriagepay = intval($xoopsModuleConfig['carriagepay']);
$collectpay = intval($xoopsModuleConfig['collectpay']);

switch($op){

	case "return":
		redirect_header($orgurl . "?storynum=$storynum&page=$page",2,_AM_DBUPDATED);
		exit();
	case "send":
		$cartlist = $sc->countAll($xoopsUser->uid());
		$cl = culcCart($cartlist,$collectpayflg,$collectpay,$carriagepay,$taxstat);
		$body1 = '';
		$body2 = '';
		foreach($cl['clist'] as $st){
			if($st['units']){
				$body1 .= sprintf("%-20s %12s %12s  %d \n",$st['title'],$st['price'],$st['ltotal'],$st['units']);
			}
			else{
				$body2 .= sprintf("%-10s  %s\n",$st['title'],$st['ltotal']);
			}
		}
		$mailer = getMailer();
		$mailer->useMail();
		$mailer->setTemplateDir(XOOPS_ROOT_PATH."/modules/shoppingcart/language/".$xoopsConfig['language']."/mail_template/");
		$mailer->setTemplate("mail_results.tpl");
		$author = new XoopsUser($xoopsUser->uid());
		$mailer->setToUsers($author);
		$mailer->assign("TOTAL", cnvCurrency($cl['total']));
		$mailer->assign("INVOICE", $body1);
		$mailer->assign("ADDITION", $body2);
		$mailer->assign("ADDRESS", $address);
		$mailer->assign("ZIP", $zip);
		$mailer->assign("TEL", $tel);
		$mailer->assign("NAME", $name);
		$mailer->assign("SITENAME", $xoopsConfig['sitename']);
		$mailer->assign("ADMINMAIL", $xoopsConfig['adminmail']);
		$mailer->assign("SITEURL", $xoopsConfig['xoops_url']."/");
		$mailer->setFromEmail($xoopsConfig['adminmail']);
		$mailer->setFromName($xoopsConfig['sitename']); 
		$mailer->setSubject(_NW_THANKS);
		$mailer->send() ;
		$sc->clearCart($xoopsUser->uid());
		redirect_header($orgurl . "?storynum=$storynum&page=$page",2,_NW_THANKS2);
		exit();

	case check:
		$cartlist = $sc->countAll($xoopsUser->uid());
		$cl = culcCart($cartlist,$collectpayflg,$collectpay,$carriagepay,$taxstat);
		$xoopsTpl->assign('reinput_title',_NW_REINPUT);
		$xoopsTpl->assign('decide_title',_NW_DECIDE);
		$xoopsTpl->assign('clist',$cl[clist]);
		$xoopsTpl->assign('checkflg',TRUE);
		$xoopsTpl->assign('total',cnvCurrency($cl['total']));
		$xoopsTpl->assign('total_title',_NW_TOTAL);
		break;
	case "create" :
	case "update" :
		$sc = new ShoppingCart();
		if($op == "update"){
			$sc->getCartFromID($cartid);
		}
		else{
			$sc->uid = $xoopsUser->uid();
			$sc->matterid = $matterid;
			$sc->cartid = -1;
		}
		$sc->units = $units;
		$sc->store();
	case "list":
	default:
		$cartlist = $sc->countAll($xoopsUser->uid());

		$total = 0;
		foreach($cartlist as $k=>$v){
			$p = $cartlist[$k]['price'];
			$ltotal= $cartlist[$k]['units'] * $p;
			$total += $ltotal;
			$cartlist[$k]['ltotal']= cnvCurrency($ltotal);
			$cartlist[$k]['price'] = cnvCurrency($cartlist[$k]['price'] );
		}
		if($taxstat == 1){
			$tax = $total * _AM_TAX;
			$tax = (int)$tax;
		}
		else{
			$tax = 0;
		}
		$xoopsTpl->assign('clist',$cartlist);
		$xoopsTpl->assign('checkflg',FALSE);
}
$xoopsTpl->assign('page',$page);
$xoopsTpl->assign('storynum',$storynum);

$xoopsTpl->assign('header',array(_AM_TITLE,_AM_UNITS,_AM_PRICE . '(' .(($taxstat == 1) ? _MI_TAXOUTER : _MI_TAXINNER ) . ')' ,_NW_LTOTAL));
$xoopsTpl->assign('bought_title',_NW_BOUGHT);
$xoopsTpl->assign('carriagepaytitle',_AM_CARRIAGEPAY);
$xoopsTpl->assign('carriagepay',$carriagepay);
$xoopsTpl->assign('collectpay',$collectpay);
$xoopsTpl->assign('collectpayflg',$collectpayflg);
$xoopsTpl->assign('collectpay_title',_MI_COLLECTPAYTITLE);
$xoopsTpl->assign('collectpay_ok',_AM_YES);
$xoopsTpl->assign('collectpay_no',_AM_NO);

$xoopsTpl->assign('address' ,$address);
$xoopsTpl->assign('info_title' ,_NW_INFO);
$xoopsTpl->assign('name_title' ,_NW_NAME);
$xoopsTpl->assign('name' ,$name);
$xoopsTpl->assign('address_title' ,_NW_ADDRESS);
$xoopsTpl->assign('zip_title' ,_NW_ZIP);
$xoopsTpl->assign('zip' ,$zip);
$xoopsTpl->assign('tel_title' ,_NW_TEL);
$xoopsTpl->assign('tel' ,$tel);
$xoopsTpl->assign('orgurl' ,$orgurl);
$xoopsTpl->assign('title_return' ,_NW_RETLIST);
$xoopsTpl->assign('title_waist' ,_NW_WAIST);
$xoopsTpl->assign('nodata' ,_NW_NODATA);
$xoopsTpl->assign('title_waist' ,_NW_WAIST);
$xoopsTpl->assign('return' ,_NW_RET);
$xoopsOption['template_main'] = 'cartlist.html';

include_once XOOPS_ROOT_PATH.'/footer.php';

?>
