<?php
// $Id: xoops_version.php,v 1.13 2003/04/01 22:51:21 mvandam Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
$modversion['name'] = _MI_SCART_NAME;
$modversion['version'] = 0.1;
$modversion['description'] = _MI_SCART_DESC;
$modversion['author'] = "M.Takai";
$modversion['credits'] = "M.Takai(E-Mail:post@piko.to)";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] =  0;
$modversion['image'] = "images/shoppingcart.png";
$modversion['dirname'] = "shoppingcart";

$modversion['sqlfile']['mysql'] = "sql/mysql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = "shoppingcart_cart";
$modversion['tables'][1] = "shoppingcart_matter";


// Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

// Menu
$modversion['hasMain'] = 1;

// Templates
$modversion['templates'][1]['file'] = 'matter_index.html';
$modversion['templates'][1]['description'] = '';
$modversion['templates'][2]['file'] = 'matter_item.html';
$modversion['templates'][2]['description'] = '';
$modversion['templates'][3]['file'] = 'cartlist.html';
$modversion['templates'][3]['description'] = '';

// name of config option for accessing its specified value. i.e. $xoopsModuleConfig['storyhome']
$modversion['config'][1]['name'] = 'storyhome';
$modversion['config'][1]['title'] = '_MI_STORYHOME';
$modversion['config'][1]['description'] = '_MI_STORYHOMEDSC';
$modversion['config'][1]['formtype'] = 'select';
$modversion['config'][1]['valuetype'] = 'int';
$modversion['config'][1]['default'] = 1;
$modversion['config'][1]['options'] = array('1' => 1,'2' => 2,'3' => 3,'4' => 4,'5' => 5);

$modversion['config'][2]['name'] = 'displaynav';
$modversion['config'][2]['title'] = '_MI_DISPLAYNAV';
$modversion['config'][2]['description'] = '_MI_DISPLAYNAVDSC';
$modversion['config'][2]['formtype'] = 'yesno';
$modversion['config'][2]['valuetype'] = 'int';
$modversion['config'][2]['default'] = 1;

$modversion['config'][3]['name'] = 'taxstat';
$modversion['config'][3]['title'] = '_MI_TAXSTAT';
$modversion['config'][3]['description'] = '_MI_TAXSTATDSC';
$modversion['config'][3]['formtype'] = 'select';
$modversion['config'][3]['valuetype'] = 'int';
$modversion['config'][3]['default'] = 1;
$modversion['config'][3]['options'] = array('_MI_TAXOUTER' => 1,'_MI_TAXINNER' => 0);

$modversion['config'][4]['name'] = 'carriagepay';
$modversion['config'][4]['title'] = '_MI_CARRIAGEPAY';
$modversion['config'][4]['description'] = '_MI_CARRIAGEPAYDSC';
$modversion['config'][4]['formtype'] = 'textbox';
$modversion['config'][4]['valuetype'] = 'int';
$modversion['config'][4]['default'] = 300;

$modversion['config'][5]['name'] = 'collectpay';
$modversion['config'][5]['title'] = '_MI_COLLECTPAY';
$modversion['config'][5]['description'] = '_MI_COLLECTPAYDSC';
$modversion['config'][5]['formtype'] = 'textbox';
$modversion['config'][5]['valuetype'] = 'int';
$modversion['config'][5]['default'] = 100;

$modversion['config'][6]['name'] = 'welcome';
$modversion['config'][6]['title'] = '_MI_WELCOME';
$modversion['config'][6]['description'] = '_MI_WELCOMEDSC';
$modversion['config'][6]['formtype'] = 'textbox';
$modversion['config'][6]['valuetype'] = 'string';
$modversion['config'][6]['default'] = '';

$modversion['config'][7]['name'] = 'caption';
$modversion['config'][7]['title'] = '_MI_CAPTION';
$modversion['config'][7]['description'] = '_MI_CAPTIONDSC';
$modversion['config'][7]['formtype'] = 'textbox';
$modversion['config'][7]['valuetype'] = 'string';
$modversion['config'][7]['default'] = '';
